Download it now!
Bug 89512 - Mail Merge printing one per page after changing sources
Summary: Mail Merge printing one per page after changing sources
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2015-02-20 22:24 UTC by Jesse Gumm
Modified: 2019-04-20 02:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Tarball of document and data source. (37.46 KB, application/gzip)
2015-02-20 22:24 UTC, Jesse Gumm
Details
Updated tarball with ods file (92.88 KB, application/gzip)
2015-02-27 14:22 UTC, Jesse Gumm
Details
PDF printed from 4.4.1 Win 7 (38.08 KB, application/pdf)
2015-02-27 14:58 UTC, Buovjaga
Details
Expected Look of the printoff (58.45 KB, application/pdf)
2015-02-27 15:06 UTC, Jesse Gumm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Gumm 2015-02-20 22:24:03 UTC
Created attachment 113561 [details]
Tarball of document and data source.

When changing the data source for a mail merge, even after deleting all references to the previous data source, printing the doc seems to always print one record per page, with each copy shown, rather than just printing one cell for each, as it does before the data source change.
Comment 1 Jesse Gumm 2015-02-20 22:24:37 UTC Comment hidden (obsolete)
Comment 2 Robinson Tryon (qubit) 2015-02-25 20:16:15 UTC Comment hidden (obsolete)
Comment 3 Jesse Gumm 2015-02-25 21:10:57 UTC
Thanks. Just installed 4.4.1.2 from chttps://launchpad.net/~libreoffice/+archive/ubuntu/ppa

The behaviour still exists.

I've produced a simple video demonstrating: http://youtu.be/lMVhBkAU6To

In this video, I have a LibreOffice Calc sheet with 80 records. I expect simply reassigning the fields to the new data source to properly remap, but instead something seems to go wonky and instead of printing 80 records, it prints 80 *pages*, with 10 on each page.
Comment 4 Buovjaga 2015-02-27 13:30:14 UTC
(In reply to Jesse Gumm from comment #0)
> Created attachment 113561 [details]
> Tarball of document and data source.

It seems you forgot to include the .ods (I tried printing and it failed complaining about the missing .ods).
Comment 5 Jesse Gumm 2015-02-27 14:22:31 UTC
Created attachment 113753 [details]
Updated tarball with ods file
Comment 6 Jesse Gumm 2015-02-27 14:25:29 UTC
Indeed.  My apologies, I had assumed the .odb file was a self-contained database, rather than a reference to the original .ods file.

I've uploaded a new tarball with the source document and .ods file (I've also removed the .odb file, as it's not necessary to reproduce).

Further, using those two files, I've uploaded a reproduction video demonstrating the exact process I use to reproduce the issue (http://youtu.be/sr7QofmSnuI).

Thanks.
Comment 7 Buovjaga 2015-02-27 14:57:08 UTC
(In reply to Jesse Gumm from comment #6)
> Further, using those two files, I've uploaded a reproduction video
> demonstrating the exact process I use to reproduce the issue
> (http://youtu.be/sr7QofmSnuI).

1. Open Hazard Card Print.odt
2. Right-click name field in first cell, select Fields
3. Add alien board game.ods
4. In alien board game, expand table Hazard cards and select field name
5. Click Synchronize labels
6. Print (click yes)

Unfortunately, I have no idea, how it should look, which is wrong and which is right.
I'm setting to NEW anyways and attaching a printed PDF.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 8 Buovjaga 2015-02-27 14:58:14 UTC
Created attachment 113756 [details]
PDF printed from 4.4.1 Win 7

The first cell in every page is missing the name field, which is not what is shown in the Youtube video preview.
Comment 9 Jesse Gumm 2015-02-27 15:06:07 UTC
Thank you, you've correctly reproduced it (though why the name field is missing from the first record on each in your printoff is a mystery to me). I'm attaching the file I use now that works, but I hesitate to make any changes to it, or connect it to a different source, for fear that it will once again exhibit this behavior.

But each record from the spreadsheet is expected to show only once, producing a 2-page printoff, rather than an 18-page printoff.
Comment 10 Jesse Gumm 2015-02-27 15:06:38 UTC
Created attachment 113757 [details]
Expected Look of the printoff
Comment 11 Jesse Gumm 2015-02-27 15:08:15 UTC
Please note, that the expected printoff doesn't look "exactly" like the original, because the only solution I could find was recreate it completely, starting from scratch (File > New > Labels, etc), so it has some differences. The takeaway is that it should be a single record per cell, rather than the rendering single-record-per-page.
Comment 12 tommy27 2016-04-16 07:27:18 UTC Comment hidden (obsolete)
Comment 13 Buovjaga 2018-04-19 11:54:49 UTC
Reverting incorrect status change.
Comment 14 QA Administrators 2019-04-20 02:58:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug